diff --git a/psdkla/board-support/ti-linux-kernel-6.6.32+git-ti/arch/arm64/boot/dts/ti/k3-j721e-common-proc-board.dts b/psdkla/board-support/ti-linux-kernel-6.6.32+git-ti/arch/arm64/boot/dts/ti/k3-j721e-common-proc-board.dts
index e99e58300..fe7b76ed1 100644
--- a/psdkla/board-support/ti-linux-kernel-6.6.32+git-ti/arch/arm64/boot/dts/ti/k3-j721e-common-proc-board.dts
+++ b/psdkla/board-support/ti-linux-kernel-6.6.32+git-ti/arch/arm64/boot/dts/ti/k3-j721e-common-proc-board.dts
@@ -437,6 +437,12 @@ J721E_WKUP_IOPAD(0xc8, PIN_INPUT, 7) /* (F29) WKUP_GPIO0_6 */
 		>;
 	};
 
+/* Reset for  PCIe3  */
+	mkey_reset_pins_default: mkey-reset-pns-default-pins {
+		pinctrl-single,pins = <
+			J721E_WKUP_IOPAD(0xdc, PIN_OUTPUT, 7) /* (H27) WKUP_GPIO0_11 */
+		>;
+	};
 
 	// add
 	mcu_rgmii1_pins_default: mcu-rgmii1-default-pins {
@@ -594,28 +600,30 @@ ufs@4e84000 {
 
 &serdes_ln_ctrl { /*disable serdes for cpsw9g*/
 	idle-states = <J721E_SERDES2_LANE0_PCIE2_LANE0>, <J721E_SERDES2_LANE1_PCIE2_LANE1>,
-		      <J721E_SERDES3_LANE0_USB3_0_SWAP>, <J721E_SERDES3_LANE1_USB3_0>,
+		      <J721E_SERDES3_LANE0_PCIE3_LANE0>, <J721E_SERDES3_LANE1_PCIE3_LANE1>,
 		      <J721E_SERDES4_LANE0_EDP_LANE0>, <J721E_SERDES4_LANE1_EDP_LANE1>,
 		      <J721E_SERDES4_LANE2_EDP_LANE2>, <J721E_SERDES4_LANE3_EDP_LANE3>;
 };
 
-&serdes_wiz3 {
-	typec-dir-gpios = <&main_gpio1 3 GPIO_ACTIVE_HIGH>;
-	typec-dir-debounce-ms = <700>;	/* TUSB321, tCCB_DEFAULT 133 ms */
-};
+/* delete for PCIE */
+// &serdes_wiz3 {
+// 	typec-dir-gpios = <&main_gpio1 3 GPIO_ACTIVE_HIGH>;
+// 	typec-dir-debounce-ms = <700>;	/* TUSB321, tCCB_DEFAULT 133 ms */
+// };
 
 &serdes3 {
-	serdes3_usb_link: phy@0 {
+	assigned-clocks = <&serdes3 CDNS_SIERRA_PLL_CMNLC>;
+	assigned-clock-parents = <&wiz3_pll1_refclk>;
+
+	serdes3_pcie_link: phy@0 {
 		reg = <0>;
 		cdns,num-lanes = <2>;
 		#phy-cells = <0>;
-		cdns,phy-type = <PHY_TYPE_USB3>;
+		cdns,phy-type = <PHY_TYPE_PCIE>;
 		resets = <&serdes_wiz3 1>, <&serdes_wiz3 2>;
-		status = "disabled"; /*disable serdes for cpsw9g*/
 	};
 };
 
-
 &ospi0 {
 	status = "okay";
 	flash@0 {
@@ -818,10 +826,6 @@ &serdes_wiz2 {
 	status = "disabled";
 };
 
-&serdes_wiz3 {
-	status = "disabled";
-};
-
 &serdes2 {
 	assigned-clocks = <&serdes2 CDNS_SIERRA_PLL_CMNLC>;
 	assigned-clock-parents = <&wiz2_pll1_refclk>;
@@ -855,7 +859,7 @@ &mhdp {
 };
 
 &pcie0_rc {
-	status = "okay";
+	status = "disabled";
 	//reset-gpios = <&exp1 6 GPIO_ACTIVE_HIGH>;
 	phys = <&serdes0_pcie_link>;
 	phy-names = "pcie-phy";
@@ -863,7 +867,7 @@ &pcie0_rc {
 };
 
 &pcie1_rc {
-	status = "okay";
+	status = "disabled";
 	//reset-gpios = <&exp1 2 GPIO_ACTIVE_HIGH>;
 	phys = <&serdes1_pcie_link>;
 	phy-names = "pcie-phy";
@@ -871,13 +875,24 @@ &pcie1_rc {
 };
 
 &pcie2_rc {
-	status = "okay";
+	status = "disabled";
 	//reset-gpios = <&exp2 20 GPIO_ACTIVE_HIGH>;
 	phys = <&serdes2_pcie_link>;
 	phy-names = "pcie-phy";
 	num-lanes = <2>;
 };
 
+&pcie3_rc {
+	status = "okay";
+	pinctrl-names = "default";
+	pinctrl-0 = <&mkey_reset_pins_default>;
+	reset-gpios = <&wkup_gpio0 11 GPIO_ACTIVE_HIGH>;
+	//reset-gpios = <&exp2 20 GPIO_ACTIVE_HIGH>;
+	phys = <&serdes3_pcie_link>;
+	phy-names = "pcie-phy";
+	num-lanes = <2>;
+};
+
 #define K3_TS_OFFSET(pa, val)	(0x4+(pa)*4) (0x10000 | val)
 
 &timesync_router {
diff --git a/psdkla/board-support/ti-linux-kernel-6.6.32+git-ti/arch/arm64/boot/dts/ti/k3-j721e-main.dtsi b/psdkla/board-support/ti-linux-kernel-6.6.32+git-ti/arch/arm64/boot/dts/ti/k3-j721e-main.dtsi
index bb54a4f6f..53819c5f0 100644
--- a/psdkla/board-support/ti-linux-kernel-6.6.32+git-ti/arch/arm64/boot/dts/ti/k3-j721e-main.dtsi
+++ b/psdkla/board-support/ti-linux-kernel-6.6.32+git-ti/arch/arm64/boot/dts/ti/k3-j721e-main.dtsi
@@ -8,6 +8,8 @@
 #include <dt-bindings/phy/phy-ti.h>
 #include <dt-bindings/mux/mux.h>
 
+#include <dt-bindings/phy/phy-cadence.h>
+
 #include "k3-serdes.h"
 
 / {
@@ -904,7 +906,6 @@ serdes_wiz3: wiz@5030000 {
 		num-lanes = <2>;
 		#reset-cells = <1>;
 		ranges = <0x5030000 0x0 0x5030000 0x10000>;
-		status = "disabled";
 
 		wiz3_pll0_refclk: pll0-refclk {
 			clocks = <&k3_clks 295 9>, <&cmn_refclk>;
@@ -950,7 +951,6 @@ serdes3: serdes@5030000 {
 				 <&wiz3_pll0_refclk>, <&wiz3_pll1_refclk>;
 			clock-names = "cmn_refclk_dig_div", "cmn_refclk1_dig_div",
 				      "pll0_refclk", "pll1_refclk";
-			status = "disabled";
 		};
 	};
 
@@ -1055,8 +1055,10 @@ pcie3_rc: pcie@2930000 {
 		max-link-speed = <3>;
 		num-lanes = <2>;
 		power-domains = <&k3_pds 242 TI_SCI_PD_EXCLUSIVE>;
-		clocks = <&k3_clks 242 1>;
-		clock-names = "fck";
+		#clocks = <&k3_clks 242 1>;
+		#clock-names = "fck";
+		clocks = <&k3_clks 242 1>, <&serdes3 CDNS_SIERRA_PLL_CMNLC>;
+		clock-names = "fck","pcie_refclk";
 		#address-cells = <3>;
 		#size-cells = <2>;
 		bus-range = <0x0 0xff>;
@@ -1067,7 +1069,7 @@ pcie3_rc: pcie@2930000 {
 		ranges = <0x01000000 0x0 0x00001000 0x44 0x10001000 0x0 0x0010000>,
 			 <0x02000000 0x0 0x00011000 0x44 0x10011000 0x0 0x7fef000>;
 		dma-ranges = <0x02000000 0x0 0x0 0x0 0x0 0x10000 0x0>;
-		status = "disabled";
+		status = "okay";
 	};
 
 	serdes_wiz4: wiz@5050000 {
diff --git a/psdkla/board-support/ti-linux-kernel-6.6.32+git-ti/drivers/Makefile b/psdkla/board-support/ti-linux-kernel-6.6.32+git-ti/drivers/Makefile
index 1bec7819a..4470f6fad 100644
--- a/psdkla/board-support/ti-linux-kernel-6.6.32+git-ti/drivers/Makefile
+++ b/psdkla/board-support/ti-linux-kernel-6.6.32+git-ti/drivers/Makefile
@@ -23,6 +23,7 @@ obj-$(CONFIG_GPIOLIB)		+= gpio/
 obj-y				+= pwm/
 
 obj-y				+= pci/
+obj-y				+= nogpl/
 
 obj-$(CONFIG_PARISC)		+= parisc/
 obj-$(CONFIG_RAPIDIO)		+= rapidio/
diff --git a/psdkla/board-support/ti-u-boot-2024.04+git/configs/j721e_evm_a72_defconfig b/psdkla/board-support/ti-u-boot-2024.04+git/configs/j721e_evm_a72_defconfig
index a8129e6ba..bd9ab7ae4 100644
--- a/psdkla/board-support/ti-u-boot-2024.04+git/configs/j721e_evm_a72_defconfig
+++ b/psdkla/board-support/ti-u-boot-2024.04+git/configs/j721e_evm_a72_defconfig
@@ -16,7 +16,7 @@ CONFIG_DM_GPIO=y
 CONFIG_SPL_DM_SPI=y
 CONFIG_DEFAULT_DEVICE_TREE="k3-j721e-common-proc-board"
 CONFIG_SPL_TEXT_BASE=0x80080000
-CONFIG_OF_LIBFDT_OVERLAY=y
+#CONFIG_OF_LIBFDT_OVERLAY=y
 CONFIG_DM_RESET=y
 CONFIG_SPL_MMC=y
 CONFIG_SPL_SERIAL=y