diff --git a/ti-processor-sdk-linux-rt-k2e-evm-03.03.00.04/IEC.diff b/ti-processor-sdk-linux-rt-k2e-evm-03.03.00.04/IEC.diff
new file mode 100644
index 0000000..a14da4d
--- /dev/null
+++ b/ti-processor-sdk-linux-rt-k2e-evm-03.03.00.04/IEC.diff
@@ -0,0 +1,134 @@
+diff --git a/ti-processor-sdk-linux-rt-k2e-evm-03.03.00.04/board-support/u-boot-2016.05+gitAUTOINC+4db46a6bbd-g4db46a6bbd/board/ti/ks2_evm/board.c b/ti-processor-sdk-linux-rt-k2e-evm-03.03.00.04/board-support/u-boot-2016.05+gitAUTOINC+4db46a6bbd-g4db46a6bbd/board/ti/ks2_evm/board.c
+index b70825e..d6f0c44 100644
+--- a/ti-processor-sdk-linux-rt-k2e-evm-03.03.00.04/board-support/u-boot-2016.05+gitAUTOINC+4db46a6bbd-g4db46a6bbd/board/ti/ks2_evm/board.c
++++ b/ti-processor-sdk-linux-rt-k2e-evm-03.03.00.04/board-support/u-boot-2016.05+gitAUTOINC+4db46a6bbd-g4db46a6bbd/board/ti/ks2_evm/board.c
+@@ -129,8 +129,9 @@ int board_eth_init(bd_t *bis)
+ 	for (j = 0; j < port_num; j++) {
+ 		sprintf(link_type_name, "sgmii%d_link_type", j);
+ 		res = get_eth_env_param(link_type_name);
+-		if (res >= 0)
+-			eth_priv_cfg[j].sgmii_link_type = res;
++		//if (res >= 0){
++		//	eth_priv_cfg[j].sgmii_link_type = res;
++		//}
+ 
+ 		keystone2_emac_initialize(&eth_priv_cfg[j]);
+ 	}
+diff --git a/ti-processor-sdk-linux-rt-k2e-evm-03.03.00.04/board-support/u-boot-2016.05+gitAUTOINC+4db46a6bbd-g4db46a6bbd/board/ti/ks2_evm/board_k2e.c b/ti-processor-sdk-linux-rt-k2e-evm-03.03.00.04/board-support/u-boot-2016.05+gitAUTOINC+4db46a6bbd-g4db46a6bbd/board/ti/ks2_evm/board_k2e.c
+index cbb3077..1f6f4e4 100644
+--- a/ti-processor-sdk-linux-rt-k2e-evm-03.03.00.04/board-support/u-boot-2016.05+gitAUTOINC+4db46a6bbd-g4db46a6bbd/board/ti/ks2_evm/board_k2e.c
++++ b/ti-processor-sdk-linux-rt-k2e-evm-03.03.00.04/board-support/u-boot-2016.05+gitAUTOINC+4db46a6bbd-g4db46a6bbd/board/ti/ks2_evm/board_k2e.c
+@@ -79,7 +79,7 @@ struct eth_priv_t eth_priv_cfg[] = {
+ 	{
+ 		.int_name        = "K2E_EMAC0",
+ 		.rx_flow         = 0,
+-		.phy_addr        = 0,
++		.phy_addr        = 1,
+ 		.slave_port      = 1,
+ 		.sgmii_link_type = SGMII_LINK_MAC_PHY,
+ 		.phy_if          = PHY_INTERFACE_MODE_SGMII,
+@@ -87,7 +87,7 @@ struct eth_priv_t eth_priv_cfg[] = {
+ 	{
+ 		.int_name        = "K2E_EMAC1",
+ 		.rx_flow         = 8,
+-		.phy_addr        = 1,
++		.phy_addr        = 2,
+ 		.slave_port      = 2,
+ 		.sgmii_link_type = SGMII_LINK_MAC_PHY,
+ 		.phy_if          = PHY_INTERFACE_MODE_SGMII,
+@@ -95,49 +95,49 @@ struct eth_priv_t eth_priv_cfg[] = {
+ 	{
+ 		.int_name        = "K2E_EMAC2",
+ 		.rx_flow         = 16,
+-		.phy_addr        = 2,
++		.phy_addr        = 3,
+ 		.slave_port      = 3,
+-		.sgmii_link_type = SGMII_LINK_MAC_MAC_FORCED,
++		.sgmii_link_type = SGMII_LINK_MAC_PHY,
+ 		.phy_if          = PHY_INTERFACE_MODE_SGMII,
+ 	},
+ 	{
+ 		.int_name        = "K2E_EMAC3",
+ 		.rx_flow         = 24,
+-		.phy_addr        = 3,
++		.phy_addr        = 0,
+ 		.slave_port      = 4,
+-		.sgmii_link_type = SGMII_LINK_MAC_MAC_FORCED,
++		.sgmii_link_type = SGMII_LINK_MAC_MAC_AUTONEG,
+ 		.phy_if          = PHY_INTERFACE_MODE_SGMII,
+ 	},
+ 	{
+ 		.int_name        = "K2E_EMAC4",
+ 		.rx_flow         = 32,
+-		.phy_addr        = 4,
++		.phy_addr        = 0,
+ 		.slave_port      = 5,
+-		.sgmii_link_type = SGMII_LINK_MAC_MAC_FORCED,
++		.sgmii_link_type = SGMII_LINK_MAC_MAC_AUTONEG,
+ 		.phy_if          = PHY_INTERFACE_MODE_SGMII,
+ 	},
+ 	{
+ 		.int_name        = "K2E_EMAC5",
+ 		.rx_flow         = 40,
+-		.phy_addr        = 5,
++		.phy_addr        = 4,
+ 		.slave_port      = 6,
+-		.sgmii_link_type = SGMII_LINK_MAC_MAC_FORCED,
++		.sgmii_link_type = SGMII_LINK_MAC_PHY,
+ 		.phy_if          = PHY_INTERFACE_MODE_SGMII,
+ 	},
+ 	{
+ 		.int_name        = "K2E_EMAC6",
+ 		.rx_flow         = 48,
+-		.phy_addr        = 6,
++		.phy_addr        = 0,
+ 		.slave_port      = 7,
+-		.sgmii_link_type = SGMII_LINK_MAC_MAC_FORCED,
++		.sgmii_link_type = SGMII_LINK_MAC_MAC_AUTONEG,
+ 		.phy_if          = PHY_INTERFACE_MODE_SGMII,
+ 	},
+ 	{
+ 		.int_name        = "K2E_EMAC7",
+ 		.rx_flow         = 56,
+-		.phy_addr        = 7,
++		.phy_addr        = 0,
+ 		.slave_port      = 8,
+-		.sgmii_link_type = SGMII_LINK_MAC_MAC_FORCED,
++		.sgmii_link_type = SGMII_LINK_MAC_MAC_AUTONEG,
+ 		.phy_if          = PHY_INTERFACE_MODE_SGMII,
+ 	},
+ };
+diff --git a/ti-processor-sdk-linux-rt-k2e-evm-03.03.00.04/board-support/u-boot-2016.05+gitAUTOINC+4db46a6bbd-g4db46a6bbd/drivers/net/keystone_net.c b/ti-processor-sdk-linux-rt-k2e-evm-03.03.00.04/board-support/u-boot-2016.05+gitAUTOINC+4db46a6bbd-g4db46a6bbd/drivers/net/keystone_net.c
+index b6389c3..2ce6f96 100644
+--- a/ti-processor-sdk-linux-rt-k2e-evm-03.03.00.04/board-support/u-boot-2016.05+gitAUTOINC+4db46a6bbd-g4db46a6bbd/drivers/net/keystone_net.c
++++ b/ti-processor-sdk-linux-rt-k2e-evm-03.03.00.04/board-support/u-boot-2016.05+gitAUTOINC+4db46a6bbd-g4db46a6bbd/drivers/net/keystone_net.c
+@@ -957,6 +957,7 @@ int keystone2_emac_initialize(struct eth_priv_t *eth_priv)
+ 
+ 	/* Register MDIO bus if it's not registered yet */
+ 	if (!mdio_bus) {
++		printf("enter mdio bus setup!!\n");
+ 		mdio_bus	= mdio_alloc();
+ 		mdio_bus->read	= keystone2_mdio_read;
+ 		mdio_bus->write	= keystone2_mdio_write;
+@@ -1530,6 +1531,7 @@ static int ks2_eth_parse_slave_interface(int netcp, int slave,
+ 		priv->phy_if = PHY_INTERFACE_MODE_SGMII;
+ 		pdata->phy_interface = priv->phy_if;
+ 		priv->sgmii_link_type = SGMII_LINK_MAC_MAC_FORCED;
++		priv->has_mdio = false;
+ 	} else if (priv->link_type == LINK_TYPE_RGMII_LINK_MAC_PHY) {
+ 		phy_mode = fdt_getprop(fdt, slave, "phy-mode", NULL);
+ 		if (phy_mode) {
+@@ -1550,7 +1552,12 @@ static int ks2_eth_parse_slave_interface(int netcp, int slave,
+ 		priv->phy_if = PHY_INTERFACE_MODE_XGMII,
+ 		pdata->phy_interface = priv->phy_if;
+ 		priv->has_mdio = false;
+-	}
++	}else if (priv->link_type == LINK_TYPE_SGMII_MAC_TO_MAC_AUTO) {
++                priv->phy_if = PHY_INTERFACE_MODE_SGMII;
++                pdata->phy_interface = priv->phy_if;
++                priv->sgmii_link_type = SGMII_LINK_MAC_MAC_AUTONEG;
++                priv->has_mdio = false;
++        }
+ 
+ 	return 0;
+ }
diff --git a/ti-processor-sdk-linux-rt-k2e-evm-03.03.00.04/board-support/u-boot-2016.05+gitAUTOINC+4db46a6bbd-g4db46a6bbd/arch/arm/dts/k2e-evm.dts b/ti-processor-sdk-linux-rt-k2e-evm-03.03.00.04/board-support/u-boot-2016.05+gitAUTOINC+4db46a6bbd-g4db46a6bbd/arch/arm/dts/k2e-evm.dts
index e2c3fb4..701fb64 100644
--- a/ti-processor-sdk-linux-rt-k2e-evm-03.03.00.04/board-support/u-boot-2016.05+gitAUTOINC+4db46a6bbd-g4db46a6bbd/arch/arm/dts/k2e-evm.dts
+++ b/ti-processor-sdk-linux-rt-k2e-evm-03.03.00.04/board-support/u-boot-2016.05+gitAUTOINC+4db46a6bbd-g4db46a6bbd/arch/arm/dts/k2e-evm.dts
@@ -144,12 +144,23 @@
 &mdio {
 	status = "ok";
 	ethphy0: ethernet-phy@0 {
-		compatible = "marvell,88E1514", "marvell,88E1510", "ethernet-phy-ieee802.3-c22";
-		reg = <0>;
+		status = "ok";
+		compatible = "broadcom,BCM54616S","ethernet-phy-ieee802.3-c22";
+		reg = <1>;
 	};
-
 	ethphy1: ethernet-phy@1 {
-		compatible = "marvell,88E1514", "marvell,88E1510", "ethernet-phy-ieee802.3-c22";
-		reg = <1>;
+		status = "ok";
+		compatible = "broadcom,BCM54616S","ethernet-phy-ieee802.3-c22";
+		reg = <2>;
+	};
+	ethphy2: ethernet-phy@2 {
+		status = "ok";
+		compatible = "broadcom,BCM54616S","ethernet-phy-ieee802.3-c22";
+		reg = <3>;
+	};
+	ethphy3: ethernet-phy@3 {
+		status = "ok";
+		compatible = "broadcom,BCM54616S","ethernet-phy-ieee802.3-c22";
+		reg = <4>;
 	};
 };
diff --git a/ti-processor-sdk-linux-rt-k2e-evm-03.03.00.04/board-support/u-boot-2016.05+gitAUTOINC+4db46a6bbd-g4db46a6bbd/arch/arm/dts/k2e-netcp.dtsi b/ti-processor-sdk-linux-rt-k2e-evm-03.03.00.04/board-support/u-boot-2016.05+gitAUTOINC+4db46a6bbd-g4db46a6bbd/arch/arm/dts/k2e-netcp.dtsi
index a518945..d871b9c 100644
--- a/ti-processor-sdk-linux-rt-k2e-evm-03.03.00.04/board-support/u-boot-2016.05+gitAUTOINC+4db46a6bbd-g4db46a6bbd/arch/arm/dts/k2e-netcp.dtsi
+++ b/ti-processor-sdk-linux-rt-k2e-evm-03.03.00.04/board-support/u-boot-2016.05+gitAUTOINC+4db46a6bbd-g4db46a6bbd/arch/arm/dts/k2e-netcp.dtsi
@@ -130,8 +130,10 @@ netcp: netcp@24000000 {
 
 	ti,navigator-dmas = <&dma_gbe 0>,
 			<&dma_gbe 8>,
+			<&dma_gbe 16>,
+			<&dma_gbe 24>,
 			<&dma_gbe 0>;
-	ti,navigator-dma-names = "netrx0", "netrx1", "nettx";
+	ti,navigator-dma-names = "netrx0", "netrx1", "netrx2", "netrx5", "nettx";
 
 	netcp-devices {
 		#address-cells = <1>;
@@ -156,32 +158,33 @@ netcp: netcp@24000000 {
 					link-interface	= <1>;
 					phy-handle	= <&ethphy1>;
 				};
-			};
-
-			secondary-slave-ports {
-				port-2 {
+				gbe2: interface-2 {
 					slave-port = <2>;
-					link-interface	= <2>;
+					link-interface	= <1>;
+					phy-handle	= <&ethphy2>;
+				};
+				gbe5: interface-5 {
+					slave-port = <5>;
+					link-interface	= <1>;
+					phy-handle	= <&ethphy3>;
 				};
-				port-3 {
+			};
+			secondary-slave-ports {
+				gbe3: interface-3 {
 					slave-port = <3>;
-					link-interface	= <2>;
+					link-interface  = <0>;
 				};
-				port-4 {
+				gbe4: interface-4 {
 					slave-port = <4>;
-					link-interface	= <2>;
-				};
-				port-5 {
-					slave-port = <5>;
-					link-interface	= <2>;
+					link-interface  = <0>;
 				};
-				port-6 {
+				gbe6: interface-6 {
 					slave-port = <6>;
-					link-interface	= <2>;
+					link-interface  = <0>;
 				};
-				port-7 {
+				gbe7: interface-7 {
 					slave-port = <7>;
-					link-interface	= <2>;
+					link-interface  = <0>;
 				};
 			};
 		};
@@ -195,7 +198,7 @@ netcp: netcp@24000000 {
 			rx-queue-depth = <128 128 0 0>;
 			rx-buffer-size = <1518 4096 0 0>;
 			rx-queue = <528>;
-			tx-completion-queue = <530>;
+			tx-completion-queue = <536>;
 			efuse-mac = <1>;
 			netcp-gbe = <&gbe0>;
 
@@ -207,16 +210,39 @@ netcp: netcp@24000000 {
 			rx-queue-depth = <128 128 0 0>;
 			rx-buffer-size = <1518 4096 0 0>;
 			rx-queue = <529>;
-			tx-completion-queue = <531>;
-			efuse-mac = <0>;
-			local-mac-address = [02 18 31 7e 3e 00];
+			tx-completion-queue = <537>;
+			efuse-mac = <1>;
 			netcp-gbe = <&gbe1>;
 		};
+		interface-2 {
+			rx-channel = "netrx2";
+			rx-pool = <1024 12>;
+			tx-pool = <1024 12>;
+			rx-queue-depth = <128 128 0 0>;
+			rx-buffer-size = <1518 4096 0 0>;
+			rx-queue = <530>;
+			tx-completion-queue = <538>;
+			efuse-mac = <1>;
+			netcp-gbe = <&gbe2>;
+		};
+		interface-5 {
+			rx-channel = "netrx5";
+			rx-pool = <1024 12>;
+			tx-pool = <1024 12>;
+			rx-queue-depth = <128 128 0 0>;
+			rx-buffer-size = <1518 4096 0 0>;
+			rx-queue = <533>;
+			tx-completion-queue = <541>;
+			efuse-mac = <1>;
+			netcp-gbe = <&gbe5>;
+		};
+
 	};
+
 };
 
 netcpx: netcp@2f00000 {
-	status		= "okay";
+	status = "disabled";
 	reg		= <0x02f00000 0x100>;
 	compatible	= "ti,netcpx-1.0";
 	#address-cells	= <1>;
diff --git a/ti-processor-sdk-linux-rt-k2e-evm-03.03.00.04/board-support/u-boot-2016.05+gitAUTOINC+4db46a6bbd-g4db46a6bbd/board/ti/ks2_evm/board.c b/ti-processor-sdk-linux-rt-k2e-evm-03.03.00.04/board-support/u-boot-2016.05+gitAUTOINC+4db46a6bbd-g4db46a6bbd/board/ti/ks2_evm/board.c
index b70825e..d6f0c44 100644
--- a/ti-processor-sdk-linux-rt-k2e-evm-03.03.00.04/board-support/u-boot-2016.05+gitAUTOINC+4db46a6bbd-g4db46a6bbd/board/ti/ks2_evm/board.c
+++ b/ti-processor-sdk-linux-rt-k2e-evm-03.03.00.04/board-support/u-boot-2016.05+gitAUTOINC+4db46a6bbd-g4db46a6bbd/board/ti/ks2_evm/board.c
@@ -129,8 +129,9 @@ int board_eth_init(bd_t *bis)
 	for (j = 0; j < port_num; j++) {
 		sprintf(link_type_name, "sgmii%d_link_type", j);
 		res = get_eth_env_param(link_type_name);
-		if (res >= 0)
-			eth_priv_cfg[j].sgmii_link_type = res;
+		//if (res >= 0){
+		//	eth_priv_cfg[j].sgmii_link_type = res;
+		//}
 
 		keystone2_emac_initialize(&eth_priv_cfg[j]);
 	}
diff --git a/ti-processor-sdk-linux-rt-k2e-evm-03.03.00.04/board-support/u-boot-2016.05+gitAUTOINC+4db46a6bbd-g4db46a6bbd/board/ti/ks2_evm/board_k2e.c b/ti-processor-sdk-linux-rt-k2e-evm-03.03.00.04/board-support/u-boot-2016.05+gitAUTOINC+4db46a6bbd-g4db46a6bbd/board/ti/ks2_evm/board_k2e.c
index cbb3077..1f6f4e4 100644
--- a/ti-processor-sdk-linux-rt-k2e-evm-03.03.00.04/board-support/u-boot-2016.05+gitAUTOINC+4db46a6bbd-g4db46a6bbd/board/ti/ks2_evm/board_k2e.c
+++ b/ti-processor-sdk-linux-rt-k2e-evm-03.03.00.04/board-support/u-boot-2016.05+gitAUTOINC+4db46a6bbd-g4db46a6bbd/board/ti/ks2_evm/board_k2e.c
@@ -79,7 +79,7 @@ struct eth_priv_t eth_priv_cfg[] = {
 	{
 		.int_name        = "K2E_EMAC0",
 		.rx_flow         = 0,
-		.phy_addr        = 0,
+		.phy_addr        = 1,
 		.slave_port      = 1,
 		.sgmii_link_type = SGMII_LINK_MAC_PHY,
 		.phy_if          = PHY_INTERFACE_MODE_SGMII,
@@ -87,7 +87,7 @@ struct eth_priv_t eth_priv_cfg[] = {
 	{
 		.int_name        = "K2E_EMAC1",
 		.rx_flow         = 8,
-		.phy_addr        = 1,
+		.phy_addr        = 2,
 		.slave_port      = 2,
 		.sgmii_link_type = SGMII_LINK_MAC_PHY,
 		.phy_if          = PHY_INTERFACE_MODE_SGMII,
@@ -95,49 +95,49 @@ struct eth_priv_t eth_priv_cfg[] = {
 	{
 		.int_name        = "K2E_EMAC2",
 		.rx_flow         = 16,
-		.phy_addr        = 2,
+		.phy_addr        = 3,
 		.slave_port      = 3,
-		.sgmii_link_type = SGMII_LINK_MAC_MAC_FORCED,
+		.sgmii_link_type = SGMII_LINK_MAC_PHY,
 		.phy_if          = PHY_INTERFACE_MODE_SGMII,
 	},
 	{
 		.int_name        = "K2E_EMAC3",
 		.rx_flow         = 24,
-		.phy_addr        = 3,
+		.phy_addr        = 0,
 		.slave_port      = 4,
-		.sgmii_link_type = SGMII_LINK_MAC_MAC_FORCED,
+		.sgmii_link_type = SGMII_LINK_MAC_MAC_AUTONEG,
 		.phy_if          = PHY_INTERFACE_MODE_SGMII,
 	},
 	{
 		.int_name        = "K2E_EMAC4",
 		.rx_flow         = 32,
-		.phy_addr        = 4,
+		.phy_addr        = 0,
 		.slave_port      = 5,
-		.sgmii_link_type = SGMII_LINK_MAC_MAC_FORCED,
+		.sgmii_link_type = SGMII_LINK_MAC_MAC_AUTONEG,
 		.phy_if          = PHY_INTERFACE_MODE_SGMII,
 	},
 	{
 		.int_name        = "K2E_EMAC5",
 		.rx_flow         = 40,
-		.phy_addr        = 5,
+		.phy_addr        = 4,
 		.slave_port      = 6,
-		.sgmii_link_type = SGMII_LINK_MAC_MAC_FORCED,
+		.sgmii_link_type = SGMII_LINK_MAC_PHY,
 		.phy_if          = PHY_INTERFACE_MODE_SGMII,
 	},
 	{
 		.int_name        = "K2E_EMAC6",
 		.rx_flow         = 48,
-		.phy_addr        = 6,
+		.phy_addr        = 0,
 		.slave_port      = 7,
-		.sgmii_link_type = SGMII_LINK_MAC_MAC_FORCED,
+		.sgmii_link_type = SGMII_LINK_MAC_MAC_AUTONEG,
 		.phy_if          = PHY_INTERFACE_MODE_SGMII,
 	},
 	{
 		.int_name        = "K2E_EMAC7",
 		.rx_flow         = 56,
-		.phy_addr        = 7,
+		.phy_addr        = 0,
 		.slave_port      = 8,
-		.sgmii_link_type = SGMII_LINK_MAC_MAC_FORCED,
+		.sgmii_link_type = SGMII_LINK_MAC_MAC_AUTONEG,
 		.phy_if          = PHY_INTERFACE_MODE_SGMII,
 	},
 };
diff --git a/ti-processor-sdk-linux-rt-k2e-evm-03.03.00.04/board-support/u-boot-2016.05+gitAUTOINC+4db46a6bbd-g4db46a6bbd/drivers/net/keystone_net.c b/ti-processor-sdk-linux-rt-k2e-evm-03.03.00.04/board-support/u-boot-2016.05+gitAUTOINC+4db46a6bbd-g4db46a6bbd/drivers/net/keystone_net.c
index b6389c3..2ce6f96 100644
--- a/ti-processor-sdk-linux-rt-k2e-evm-03.03.00.04/board-support/u-boot-2016.05+gitAUTOINC+4db46a6bbd-g4db46a6bbd/drivers/net/keystone_net.c
+++ b/ti-processor-sdk-linux-rt-k2e-evm-03.03.00.04/board-support/u-boot-2016.05+gitAUTOINC+4db46a6bbd-g4db46a6bbd/drivers/net/keystone_net.c
@@ -957,6 +957,7 @@ int keystone2_emac_initialize(struct eth_priv_t *eth_priv)
 
 	/* Register MDIO bus if it's not registered yet */
 	if (!mdio_bus) {
+		printf("enter mdio bus setup!!\n");
 		mdio_bus	= mdio_alloc();
 		mdio_bus->read	= keystone2_mdio_read;
 		mdio_bus->write	= keystone2_mdio_write;
@@ -1530,6 +1531,7 @@ static int ks2_eth_parse_slave_interface(int netcp, int slave,
 		priv->phy_if = PHY_INTERFACE_MODE_SGMII;
 		pdata->phy_interface = priv->phy_if;
 		priv->sgmii_link_type = SGMII_LINK_MAC_MAC_FORCED;
+		priv->has_mdio = false;
 	} else if (priv->link_type == LINK_TYPE_RGMII_LINK_MAC_PHY) {
 		phy_mode = fdt_getprop(fdt, slave, "phy-mode", NULL);
 		if (phy_mode) {
@@ -1550,7 +1552,12 @@ static int ks2_eth_parse_slave_interface(int netcp, int slave,
 		priv->phy_if = PHY_INTERFACE_MODE_XGMII,
 		pdata->phy_interface = priv->phy_if;
 		priv->has_mdio = false;
-	}
+	}else if (priv->link_type == LINK_TYPE_SGMII_MAC_TO_MAC_AUTO) {
+                priv->phy_if = PHY_INTERFACE_MODE_SGMII;
+                pdata->phy_interface = priv->phy_if;
+                priv->sgmii_link_type = SGMII_LINK_MAC_MAC_AUTONEG;
+                priv->has_mdio = false;
+        }
 
 	return 0;
 }