diff --git a/psdkra/ethfw/ethfw/src/ethfw.c b/psdkra/ethfw/ethfw/src/ethfw.c
old mode 100644
new mode 100755
index 72888d4a9..85222b987
--- a/psdkra/ethfw/ethfw/src/ethfw.c
+++ b/psdkra/ethfw/ethfw/src/ethfw.c
@@ -359,6 +359,7 @@ static void EthFw_initAleCfg(CpswAle_Cfg *aleCfg)
     aleCfg->agingCfg.agingPeriodInMs = 1000;
     aleCfg->nwSecCfg.vid0ModeEn = FALSE;
     aleCfg->vlanCfg.aleVlanAwareMode = TRUE;
+    /*aleCfg->vlanCfg.aleVlanAwareMode = FALSE;*/
     aleCfg->vlanCfg.cpswVlanAwareMode = FALSE;
     aleCfg->vlanCfg.unknownUnregMcastFloodMask = 0U;
     aleCfg->vlanCfg.unknownRegMcastFloodMask = 0U;
@@ -1195,7 +1196,12 @@ static void EthFw_initLinkArgs(EnetPer_PortLinkCfg *linkArgs,
     EnetMacPort_Interface *mii = &linkArgs->mii;
     uint32_t i;
     int32_t status;
-
+	appLogPrintf("jinmin----- macport=%d\n",macPort);	
+	appLogPrintf("jinmin----- coreID=%d\n",gEthFwObj.coreId);	
+	appLogPrintf("jinmin-----  numVirtPorts=%d\n",gEthFwObj.numVirtPorts);	
+	appLogPrintf("jinmin----- numAutosarVirtPorts=%d\n",gEthFwObj.numAutosarVirtPorts);	
+	appLogPrintf("jinmin----- numPorts=%d\n",gEthFwObj.numPorts);	
+	appLogPrintf("jinmin----- instId=%d\n",gEthFwObj.instId);	
     /* Port link config is set by app */
     status = gEthFwObj.setPortCfg(macPort, macCfg, mii, phyCfg, linkCfg);
     if (status != ENET_SOK)
diff --git a/psdkra/ethfw/utils/board/src/j721e/board_j721e_evm.c b/psdkra/ethfw/utils/board/src/j721e/board_j721e_evm.c
old mode 100644
new mode 100755
index d547a8773..f46b3916c
--- a/psdkra/ethfw/utils/board/src/j721e/board_j721e_evm.c
+++ b/psdkra/ethfw/utils/board/src/j721e/board_j721e_evm.c
@@ -193,6 +193,10 @@ GPIO_PinConfig gEthFw_gpioPinCfgs[] =
 {
     GPIO_DEVICE_CONFIG(0, 61) | GPIO_CFG_OUTPUT,
     GPIO_DEVICE_CONFIG(0, 62) | GPIO_CFG_OUTPUT,
+    GPIO_DEVICE_CONFIG(0, 60) | GPIO_CFG_OUTPUT,
+    GPIO_DEVICE_CONFIG(0, 68) | GPIO_CFG_OUTPUT,
+    GPIO_DEVICE_CONFIG(0, 77) | GPIO_CFG_OUTPUT,
+    GPIO_DEVICE_CONFIG(0, 105) | GPIO_CFG_OUTPUT,
 };
 
 /* GPIO Driver callback functions */
@@ -235,7 +239,7 @@ static const Dp83867_Cfg gEnetGesiBoard_dp83867PhyCfg =
 /* 4 x RGMII ports in GESI expansion board */
 static EthFwBoard_MacPortCfg gEthFw_gesiMacPortCfg[] =
 {
-    {   /* "PRG1_RGMII1_B" */
+    /*{   [> "PRG1_RGMII1_B" <]
         .macPort   = ENET_MAC_PORT_1,
         .mii       = { ENET_MAC_LAYER_GMII, ENET_MAC_SUBLAYER_REDUCED },
         .phyCfg    =
@@ -248,8 +252,8 @@ static EthFwBoard_MacPortCfg gEthFw_gesiMacPortCfg[] =
         },
         .sgmiiMode = ENET_MAC_SGMIIMODE_INVALID,
         .linkCfg   = { ENET_SPEED_AUTO, ENET_DUPLEX_AUTO },
-    },
-    {   /* "PRG1_RGMII2_T" */
+    },*/
+    /*{   [> "PRG1_RGMII2_T" <]
         .macPort   = ENET_MAC_PORT_8,
         .mii       = { ENET_MAC_LAYER_GMII, ENET_MAC_SUBLAYER_REDUCED },
         .phyCfg    =
@@ -262,8 +266,8 @@ static EthFwBoard_MacPortCfg gEthFw_gesiMacPortCfg[] =
         },
         .sgmiiMode = ENET_MAC_SGMIIMODE_INVALID,
         .linkCfg   = { ENET_SPEED_AUTO, ENET_DUPLEX_AUTO },
-    },
-    {   /* "PRG0_RGMII1_B" */
+    },*/
+    /*{   [> "PRG0_RGMII1_B" <]
         .macPort   = ENET_MAC_PORT_3,
         .mii       = { ENET_MAC_LAYER_GMII, ENET_MAC_SUBLAYER_REDUCED },
         .phyCfg    =
@@ -276,20 +280,23 @@ static EthFwBoard_MacPortCfg gEthFw_gesiMacPortCfg[] =
         },
         .sgmiiMode = ENET_MAC_SGMIIMODE_INVALID,
         .linkCfg   = { ENET_SPEED_AUTO, ENET_DUPLEX_AUTO },
-    },
+    },*/
     {   /* "PRG0_RGMII02_T" */
         .macPort   = ENET_MAC_PORT_4,
-        .mii       = { ENET_MAC_LAYER_GMII, ENET_MAC_SUBLAYER_REDUCED },
+        .mii       = { ENET_MAC_LAYER_MII, ENET_MAC_SUBLAYER_REDUCED },
         .phyCfg    =
         {
-            .phyAddr         = 3U,
+            .phyAddr         = 6U,
             .isStrapped      = false,
             .skipExtendedCfg = false,
-            .extendedCfg     = &gEnetGesiBoard_dp83867PhyCfg,
-            .extendedCfgSize = sizeof(gEnetGesiBoard_dp83867PhyCfg),
+            //.extendedCfg     = &gEnetGesiBoard_dp83867PhyCfg,
+            //.extendedCfgSize = sizeof(gEnetGesiBoard_dp83867PhyCfg),
+            .extendedCfg     = NULL,
+            .extendedCfgSize = 0U,
         },
-        .sgmiiMode = ENET_MAC_SGMIIMODE_INVALID,
-        .linkCfg   = { ENET_SPEED_AUTO, ENET_DUPLEX_AUTO },
+        //.sgmiiMode = ENET_MAC_SGMIIMODE_INVALID,
+		.linkCfg   = { ENET_SPEED_AUTO, ENET_DUPLEX_AUTO },
+        /*.linkCfg   = {ENET_SPEED_100MBIT, ENET_DUPLEX_FULL},*/
     },
 };
 
@@ -379,7 +386,8 @@ int32_t EthFwBoard_init(uint32_t flags)
 {
     Board_initCfg boardCfg = 0U;
     Board_STATUS boardStatus;
-
+    Uint32 regVal = 0U;
+	
     /* Save the functionality requested by app */
     gEthFwBoard.enetBridgeEnabled = ENET_NOT_ZERO(flags & ETHFW_BOARD_ENET_BRIDGE_ENABLE);
     gEthFwBoard.gesiEnabled   = ENET_NOT_ZERO(flags & ETHFW_BOARD_GESI_ENABLE);
@@ -388,7 +396,7 @@ int32_t EthFwBoard_init(uint32_t flags)
     gEthFwBoard.uartAllowed   = ENET_NOT_ZERO(flags & ETHFW_BOARD_UART_ALLOWED);
     gEthFwBoard.i2cAllowed    = ENET_NOT_ZERO(flags & ETHFW_BOARD_I2C_ALLOWED);
     gEthFwBoard.gpioAllowed   = ENET_NOT_ZERO(flags & ETHFW_BOARD_GPIO_ALLOWED);
-
+	appLogPrintf("jinmin--- enetBridgeEnabled=%d,gesiEnabled=%d,qenetEnabled=%d,serdesAllowed=%d,uartAllowed=%d,i2cAllowed=%d\n",gEthFwBoard.enetBridgeEnabled,gEthFwBoard.gesiEnabled,gEthFwBoard.qenetEnabled,gEthFwBoard.serdesAllowed,gEthFwBoard.uartAllowed,gEthFwBoard.i2cAllowed);
     /* QpENet expansion board and SerDes bridge board are mutually exclusive */
     if (gEthFwBoard.qenetEnabled && gEthFwBoard.enetBridgeEnabled)
     {
@@ -402,6 +410,21 @@ int32_t EthFwBoard_init(uint32_t flags)
     /* Configure pinmux only for the pins used by EthFw */
     EthFwBoard_configPinmux();
 
+	regVal = 0x08050007U;
+	CSL_REG32_WR(CSL_WKUP_CTRL_MMR0_CFG0_BASE + CSL_WKUP_CTRL_MMR_CFG0_PADCONFIG13, regVal);
+	/* Set Pin direction to output */
+	regVal = CSL_REG32_RD(CSL_WKUP_GPIO0_BASE + 0x38U);
+	regVal &= (~(1U << 0x11U));
+	CSL_REG32_WR(CSL_WKUP_GPIO0_BASE + 0x38U, regVal);
+	//pull down
+	*(volatile uint32_t *)0x42110010 &= ~(1<<29);
+	*(volatile uint32_t *)0x42110014 |= (1<<29);
+	appLogWaitMsecs(200);
+
+	*(volatile uint32_t *)0x42110010 &= ~(1<<29);
+	*(volatile uint32_t *)0x42110014 &= ~(1<<29);
+	appLogWaitMsecs(50);
+
     /* Configure UART used for EthFw logging */
     if (gEthFwBoard.uartAllowed)
     {
@@ -417,6 +440,7 @@ int32_t EthFwBoard_init(uint32_t flags)
     /* Detect expansion boards attached to main board (CPB) */
     EthFwBoard_detectDBs();
 
+	appLogPrintf("jinmin--- enetBridgeEnabled=%d,gesiEnabled=%d,qenetEnabled=%d,serdesAllowed=%d,uartAllowed=%d,i2cAllowed=%d\n",gEthFwBoard.enetBridgeEnabled,gEthFwBoard.gesiEnabled,gEthFwBoard.qenetEnabled,gEthFwBoard.serdesAllowed,gEthFwBoard.uartAllowed,gEthFwBoard.i2cAllowed);
     /* Configure GESI board */
     if (gEthFwBoard.gesiEnabled && gEthFwBoard.gesiDetected)
     {
@@ -581,7 +605,8 @@ static void EthFwBoard_configPinmux(void)
     Board_pinmuxUpdate(gEthFwPinmuxData, BOARD_SOC_DOMAIN_MAIN);
 
     /* Configure pinmux settings for Ethernet ports and MDIO */
-    Board_pinmuxUpdate(gJ721E_MainPinmuxDataGesiCpsw9gQsgmii, BOARD_SOC_DOMAIN_MAIN);
+    /*Board_pinmuxUpdate(gJ721E_MainPinmuxDataGesiCpsw9gQsgmii, BOARD_SOC_DOMAIN_MAIN);*/
+    Board_pinmuxUpdate( gJ721E_MainPinmuxDataGesiCpsw9g, BOARD_SOC_DOMAIN_MAIN);
 
     /* REVISIT - Configure CPSW9G pins for ports on the GESI board */
     Board_pinmuxGetCfg(&pinmuxCfg);
@@ -604,8 +629,9 @@ static void EthFwBoard_detectDBs(void)
     {
         /* Assume expansion boards are present if detection not allowed */
         gEthFwBoard.gesiDetected  = true;
-        gEthFwBoard.qenetDetected = true;
+        gEthFwBoard.qenetDetected = false;
     }
+	appLogPrintf("jinmin----- Detec gesi qenet=%d,%d",gEthFwBoard.gesiDetected,gEthFwBoard.qenetDetected);
 }
 
 static void EthFwBoard_configUart(void)
@@ -621,12 +647,16 @@ static void EthFwBoard_configUart(void)
 
 static void EthFwBoard_configGesi(void)
 {
-    if (gEthFwBoard.gpioAllowed)
-    {
+    /*if (gEthFwBoard.gpioAllowed)*/
+    /*{*/
         GPIO_init();
         GPIO_write(0, 1);
         GPIO_write(1, 1);
-    }
+		GPIO_write(2, 1);
+		GPIO_write(3, 1);
+		GPIO_write(4, 1);
+		GPIO_write(5, 1);
+    /*}*/
 }
 
 static void EthFwBoard_configQenet(void)
diff --git a/psdkra/ethfw/utils/intervlan/src/eth_hwintervlan.c b/psdkra/ethfw/utils/intervlan/src/eth_hwintervlan.c
index e7928c283..b94bd2ab2 100644
--- a/psdkra/ethfw/utils/intervlan/src/eth_hwintervlan.c
+++ b/psdkra/ethfw/utils/intervlan/src/eth_hwintervlan.c
@@ -197,6 +197,7 @@ void EthHwInterVlan_setOpenPrms(Cpsw_Cfg *pCpswCfg)
     pCpswCfg->aleCfg.policerGlobalCfg.yellowDropEn = FALSE;
     pCpswCfg->aleCfg.policerGlobalCfg.policerNoMatchMode = CPSW_ALE_POLICER_NOMATCH_MODE_GREEN;
     pCpswCfg->aleCfg.vlanCfg.aleVlanAwareMode = TRUE;
+    /*pCpswCfg->aleCfg.vlanCfg.aleVlanAwareMode = FALSE;*/
     pCpswCfg->aleCfg.vlanCfg.cpswVlanAwareMode = TRUE;
     pCpswCfg->aleCfg.vlanCfg.unknownVlanMemberListMask = 0;
 
diff --git a/psdkra/vision_apps/utils/ethfw/src/app_ethfw_freertos.c b/psdkra/vision_apps/utils/ethfw/src/app_ethfw_freertos.c
index cc484978a..f2684d4cd 100644
--- a/psdkra/vision_apps/utils/ethfw/src/app_ethfw_freertos.c
+++ b/psdkra/vision_apps/utils/ethfw/src/app_ethfw_freertos.c
@@ -129,10 +129,10 @@ static Enet_MacPort gEthAppPorts[] =
 #if defined(SOC_J721E)
     /* On J721E EVM to use all 8 ports simultaneously, we use below configuration
        RGMII Ports - 1,3,4,8. QSGMII ports - 2,5,6,7 */
-    ENET_MAC_PORT_1, /* RGMII */
-    ENET_MAC_PORT_3, /* RGMII */
+    /*ENET_MAC_PORT_1, [> RGMII <]*/
+    /*ENET_MAC_PORT_3, [> RGMII <]*/
     ENET_MAC_PORT_4, /* RGMII */
-    ENET_MAC_PORT_8, /* RGMII */
+    /*ENET_MAC_PORT_8, [> RGMII <]*/
 #if defined(ENABLE_QSGMII_PORTS)
     ENET_MAC_PORT_2, /* QSGMII main */
     ENET_MAC_PORT_5, /* QSGMII sub */
@@ -153,18 +153,18 @@ static EthFw_VirtPortCfg gEthApp_virtPortCfg[] =
         .remoteCoreId = IPC_MPU1_0,
         .portId       = ETHREMOTECFG_SWITCH_PORT_0,
     },
-    {
-        .remoteCoreId = IPC_MCU2_1,
-        .portId       = ETHREMOTECFG_SWITCH_PORT_1,
-    },
+    /*{*/
+        /*.remoteCoreId = IPC_MCU2_1,*/
+        /*.portId       = ETHREMOTECFG_SWITCH_PORT_1,*/
+    /*},*/
     {
         .remoteCoreId = IPC_MPU1_0,
-        .portId       = ETHREMOTECFG_MAC_PORT_1,
-    },
-    {
-        .remoteCoreId = IPC_MCU2_1,
         .portId       = ETHREMOTECFG_MAC_PORT_4,
     },
+    /*{*/
+        /*.remoteCoreId = IPC_MCU2_1,*/
+        /*.portId       = ETHREMOTECFG_MAC_PORT_4,*/
+    /*},*/
 };
 
 static EthFw_VirtPortCfg gEthApp_autosarVirtPortCfg[] =
@@ -678,8 +678,8 @@ static void EthApp_netifStatusCb(struct netif *netif)
 
         appLogPrintf("Added interface '%c%c%d', IP is %s\n",
                      netif->name[0], netif->name[1], netif->num, ip4addr_ntoa(ipAddr));
-
-        if (ipAddr->addr != 0)
+		appLogPrintf("jinmin--- ipaddr->addr=%d\n",ipAddr->addr);
+		if (ipAddr->addr != 0)
         {
             gEthAppObj.hostIpAddr = lwip_ntohl(ip_addr_get_ip4_u32(ipAddr));
 
diff --git a/psdkra/vision_apps/utils/ethfw/src/concerto.mak b/psdkra/vision_apps/utils/ethfw/src/concerto.mak
index 050bc04de..ddb6afc0f 100644
--- a/psdkra/vision_apps/utils/ethfw/src/concerto.mak
+++ b/psdkra/vision_apps/utils/ethfw/src/concerto.mak
@@ -28,7 +28,7 @@ ifeq ($(TARGET_OS),FREERTOS)
   ifeq ($(ETHFW_INTERCORE_ETH_SUPPORT),yes)
     DEFS += ETHAPP_ENABLE_INTERCORE_ETH
   endif
-  DEFS += ENABLE_QSGMII_PORTS
+  #DEFS += ENABLE_QSGMII_PORTS
 endif
 
 include $(FINALE)