diff --git a/../vhtest/ti-processor-sdk-rtos-j784s4-evm-08_05_00_11/pdk_j784s4_08_05_00_37/packages/ti/board/src/j784s4_evm/J784S4_pinmux_data.c b/./pdk_j784s4_08_05_00_37/packages/ti/board/src/j784s4_evm/J784S4_pinmux_data.c
index 2c4cb58..16980e6 100644
--- a/../vhtest/ti-processor-sdk-rtos-j784s4-evm-08_05_00_11/pdk_j784s4_08_05_00_37/packages/ti/board/src/j784s4_evm/J784S4_pinmux_data.c
+++ b/./pdk_j784s4_08_05_00_37/packages/ti/board/src/j784s4_evm/J784S4_pinmux_data.c
@@ -187,6 +187,20 @@ static pinmuxModuleCfg_t gGpio_vddshv2PinCfg[] =
     {PINMUX_END}
 };
 
+static pinmuxPerCfg_t gI2c6PinCfg[] =
+{
+    /* MyI2C5 -> I2C6_SCL -> AN37 */
+    {
+        PIN_TIMER_IO1, PIN_MODE(13) | \
+        ((PIN_PULL_DISABLE | PIN_INPUT_ENABLE) & (~PIN_PULL_DIRECTION))
+    },
+    /* MyI2C6 -> I2C6_SDA -> AR38 */
+    {
+        PIN_TIMER_IO0, PIN_MODE(13) | \
+        ((PIN_PULL_DISABLE | PIN_INPUT_ENABLE) & (~PIN_PULL_DIRECTION))
+    },
+    {PINMUX_END}
+};
 
 static pinmuxPerCfg_t gI2c4PinCfg[] =
 {
@@ -205,14 +219,14 @@ static pinmuxPerCfg_t gI2c4PinCfg[] =
 
 static pinmuxPerCfg_t gI2c5PinCfg[] =
 {
-    /* MyI2C5 -> I2C5_SCL -> AG34 */
+    /* MyI2C5 -> I2C5_SCL -> AC33 */
     {
-        PIN_MCAN15_TX, PIN_MODE(8) | \
+        PIN_MCAN2_TX, PIN_MODE(13) | \
         ((PIN_PULL_DISABLE | PIN_INPUT_ENABLE) & (~PIN_PULL_DIRECTION))
     },
-    /* MyI2C5 -> I2C5_SDA -> AK36 */
+    /* MyI2C5 -> I2C5_SDA -> AH37 */
     {
-        PIN_MCAN14_RX, PIN_MODE(8) | \
+        PIN_MCAN2_RX, PIN_MODE(13) | \
         ((PIN_PULL_DISABLE | PIN_INPUT_ENABLE) & (~PIN_PULL_DIRECTION))
     },
     {PINMUX_END}
@@ -265,6 +279,7 @@ static pinmuxPerCfg_t gI2c0PinCfg[] =
 
 static pinmuxModuleCfg_t gI2cPinCfg[] =
 {
+    {6, TRUE, gI2c6PinCfg},
     {4, TRUE, gI2c4PinCfg},
     {5, TRUE, gI2c5PinCfg},
     {3, TRUE, gI2c3PinCfg},
@@ -792,10 +807,10 @@ static pinmuxPerCfg_t gMmcsd1PinCfg[] =
         ((PIN_PULL_DISABLE | PIN_INPUT_ENABLE) & (~PIN_PULL_DIRECTION))
     },
     /* MyMMCSD1 -> MMC1_SDCD -> AR38 */
-    {
-        PIN_TIMER_IO0, PIN_MODE(8) | \
-        ((PIN_PULL_DISABLE | PIN_INPUT_ENABLE) & (~PIN_PULL_DIRECTION))
-    },
+    // {
+    //     PIN_TIMER_IO0, PIN_MODE(8) | \
+    //     ((PIN_PULL_DISABLE | PIN_INPUT_ENABLE) & (~PIN_PULL_DIRECTION))
+    // },
     /* MyMMC1 -> MMC1_CLKLB */
     {
         PIN_MMC1_CLKLB, PIN_MODE(0) | \
@@ -900,20 +915,20 @@ static pinmuxPerCfg_t gUart6PinCfg[] =
     {PINMUX_END}
 };
 
-static pinmuxPerCfg_t gUart3PinCfg[] =
-{
-    /* MyUART3 -> UART3_RXD -> AC33 */
-    {
-        PIN_MCAN2_TX, PIN_MODE(11) | \
-        ((PIN_PULL_DISABLE | PIN_INPUT_ENABLE) & (~PIN_PULL_DIRECTION))
-    },
-    /* MyUART3 -> UART3_TXD -> AH37 */
-    {
-        PIN_MCAN2_RX, PIN_MODE(11) | \
-        ((PIN_PULL_DISABLE | PIN_INPUT_ENABLE) & (~PIN_PULL_DIRECTION))
-    },
-    {PINMUX_END}
-};
+// static pinmuxPerCfg_t gUart3PinCfg[] =
+// {
+//     /* MyUART3 -> UART3_RXD -> AC33 */
+//     {
+//         PIN_MCAN2_TX, PIN_MODE(11) | \
+//         ((PIN_PULL_DISABLE | PIN_INPUT_ENABLE) & (~PIN_PULL_DIRECTION))
+//     },
+//     /* MyUART3 -> UART3_TXD -> AH37 */
+//     {
+//         PIN_MCAN2_RX, PIN_MODE(11) | \
+//         ((PIN_PULL_DISABLE | PIN_INPUT_ENABLE) & (~PIN_PULL_DIRECTION))
+//     },
+//     {PINMUX_END}
+// };
 
 static pinmuxPerCfg_t gUart2PinCfg[] =
 {
@@ -960,28 +975,28 @@ static pinmuxModuleCfg_t gUartPinCfg[] =
     {5, TRUE, gUart5PinCfg},
     {9, TRUE, gUart9PinCfg},
     {6, TRUE, gUart6PinCfg},
-    {3, TRUE, gUart3PinCfg},
+    // {3, TRUE, gUart3PinCfg},
     {2, TRUE, gUart2PinCfg},
     {8, TRUE, gUart8PinCfg},
     {PINMUX_END}
 };
 
 
-static pinmuxPerCfg_t gUsb0PinCfg[] =
-{
-    /* MyUSB0 -> USB0_DRVVBUS -> AN37 */
-    {
-        PIN_TIMER_IO1, PIN_MODE(6) | \
-        ((PIN_PULL_DISABLE | PIN_INPUT_ENABLE) & (~PIN_PULL_DIRECTION))
-    },
-    {PINMUX_END}
-};
+// static pinmuxPerCfg_t gUsb0PinCfg[] =
+// {
+//     /* MyUSB0 -> USB0_DRVVBUS -> AN37 */
+//     {
+//         PIN_TIMER_IO1, PIN_MODE(6) | \
+//         ((PIN_PULL_DISABLE | PIN_INPUT_ENABLE) & (~PIN_PULL_DIRECTION))
+//     },
+//     {PINMUX_END}
+// };
 
-static pinmuxModuleCfg_t gUsbPinCfg[] =
-{
-    {0, TRUE, gUsb0PinCfg},
-    {PINMUX_END}
-};
+// static pinmuxModuleCfg_t gUsbPinCfg[] =
+// {
+//     {0, TRUE, gUsb0PinCfg},
+//     {PINMUX_END}
+// };
 
 
 static pinmuxPerCfg_t gWkup_gpio_vddshv0_mcu0PinCfg[] =
@@ -1241,7 +1256,7 @@ pinmuxBoardCfg_t gJ784S4_MainPinmuxData[] =
     {8, gSystem_vddshv0PinCfg},
     {9, gSystem_vddshv2PinCfg},
     {10, gUartPinCfg},
-    {11, gUsbPinCfg},
+    // {11, gUsbPinCfg},
     {PINMUX_END}
 };
 